#ifndef USER_H
#define USER_H
#include <string.h>
#include <gtk/gtk.h>

enum field{USERNAME,PASSWORD,FULLNAME,FOLDER,CREATEFOLDER,GROUPS,SHELL,UID,UNIQUEID,CREATEUSERGROUP,EXPIREDATE};

struct user
{
       char* username;
       char* encryptedPassword;
       char * fullName;
       int folderType;
       char* name;
       char* folder;
       int createFolder;
       GSList* groups;
       char * shell;
       int UID;
       int uniqueUID;
       int createUserGroup;
       char *expireDate;
};
typedef struct user sUser;
void setField(sUser* user, void* parameter, int label);
sUser* newUser();
void setUsername(sUser* user, char * aUsername);
void setPassword(sUser* user, char * aEncryptedPassword);
void setFullName(sUser* user, char * aFullName);
void setFolder(sUser* user, char* folder);
void setShell(sUser* user, char* shell);
void setCreateFolder(sUser* user, int *createFolder);
void setGroupsList(sUser* user,  GSList* groups);
void setUID(sUser* user, int *UID);
void setUniqueUID(sUser* user, int *uUID);
void setCreateUserGroup(sUser* user, int* createUserGroup);
void setExpireDate(sUser* user, char* expireDate);
int getUserInfoI(sUser* user, enum field f);
void * getUserInfo(sUser* user, enum field f);
void deleteUser(sUser * user);
#endif
