
#ifndef WIDGET_OPERATIONS_H
#define WIDGET_OPERATIONS_H


#include <gtk/gtk.h>
#include "user.h"



enum widgetType  {GTKENTRY,GTKCONTAINER, GTKCHECKBUTTON, GTKDIALOG, GTKENTRYINTEGER };

typedef char* (*fpParseGUI)(gchar*);


struct swidgetOp
{
        GtkWidget* parent;
        GtkWidget* widget;	
	fpParseGUI parseGUI;	
	enum widgetType widgetType;
	enum field field;	
};
typedef struct swidgetOp  widgetOp;


GSList* initializeList();
void addNewOperation(GSList** lo,GtkWidget* parent, GtkWidget* widget, char* (*parseGUI)(gchar*), int widgetType, int field);
void addOperation(GSList** lo,widgetOp* wOp);
widgetOp* widget_operation_init(GtkWidget* parent, GtkWidget* widget, char* (*parseGUI)(gchar*), int widgetType, int field);
int getWidgetType(widgetOp* wOp);
void* parseOperation(widgetOp* wOp);
sUser* createUser(int optionsSelected);
#endif
